A=[1 -1 1 1;3 1 -1 1;1 1 0 1];      % 输入方程组的系数矩阵
b=[2 6 4]';
r=rank(A)                      % 求系数矩阵A的秩，判断方程组是否唯一解  
 x=A\b                         % 用左除法求解方程组的一组解
 x=pinv(A)*b                     % 用伪逆矩阵求解方程组的一组解
